import path_setting
from in_common.base_request import BaseRequest


class account_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.APYAML_CONFIG)

    def login_vfc(self,current_city_id,phone_num,vfc_code,vfc_type="",face_token=""):
        self.params["current_city_id"] = current_city_id
        self.params["phone_num"] = phone_num
        self.params["vfc_code"] = vfc_code
        self.params["vfc_type"] = vfc_type
        self.params["face_token"] = face_token
        return self.api_send(self.data["login_vfc"])


if __name__ == '__main__':
    print(account_request().login_vfc("beijing", "+8612345678912", 1234, "", ""))